import { Dispatch, SetStateAction } from 'react';
export declare function useControllableProp<T>(prop: T | undefined, state: T): readonly [boolean, T];
export declare function useControllableState<T>({ value, defaultValue, onChange, }: {
    value?: T;
    defaultValue: T;
    onChange?: (value: T) => void;
}): readonly [T, Dispatch<SetStateAction<T>>];
